Skip to navigation

Retrieve metadata object schema

View as Markdown

Returns the complete JSON Schema for the specified object.

The response includes standard JSON Schema properties and Zuora-specific metadata extensions, including field types, constraints, relationships, custom field indicators, and context-specific capabilities.

For Data Query(DQ) and Object Query(OQ) contexts, object name matching is case-insensitive. The response uses the canonical object name returned by the upstream source.

For Data Source Export(DSE) or Aggregate Query API(AQuA) contexts, the response title and $id use the canonical object name returned by Billing.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

objectNamestringRequiredformat: "^[a-zA-Z][a-zA-Z0-9_]*$"

Name of the object to retrieve schema for.

For Data Query(DQ) and Object Query(OQ), matching is case-insensitive.

For Data Source Export(DSE) and Aggregate Query API(AQuA), use the object name casing expected by Billing Describe.

Headers

Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Query parameters

contextenumRequired

Data context for which to retrieve metadata.

Supported values:

  • DQ: Data Query context
  • OQ: Object Query context
  • DSE: Data Source Export context
  • AQUA: Analytics Query context
Allowed values:

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.

Response

JSON Schema for the specified object.
$schemastring
JSON Schema dialect
$idstringformat: "uri"

Stable schema URI (canonical object name suffix; not the REST URL for this endpoint)

typeenum

Schema type (always ‘object’ for Zuora objects)

Allowed values:
titlestringOptional

Canonical object name from upstream (same segment as in $id)

descriptionstringOptional
Object description
propertiesmap from strings to objectsOptional
Field definitions keyed by field name
requiredlist of stringsOptional
List of required field names
x-zuora-contextenumOptional
Data context
Allowed values:
x-zuora-categorystringOptional

Object category (DQ/OQ only)

x-zuora-support-custom-fieldbooleanOptional
Whether object supports custom fields
x-zuora-relationshipslist of objectsOptional
Relationships to other objects

Errors

4XX
Client Request Error
500
Internal Server Error